Is Regression: No
Subject: Show message and disallow modification of non DefaultConfiguration values in install tool
Description

If you override a setting in the AdditionalConfiguration.php the value is displayed in the install tool. If you change the value you get a
positive message that it has been changed. But if you look again in the install tool the "old" value is displayed again. This is because
the install tool only writes to the LocalConfiguration which is then overwritten by the AdditionalConfiguration.php.

There should be a notice that the value has been changed outside of the LocalConfiguration and therefore can't be changed in the
install tool. The field should also be disabled so it can't be changed.

Values that are not part of the DefaultConfiguration should also be not editable and a message should be displayed that this setting is
not part of the default TYPO3 configuration.

Related issues:
related to Core - Bug # 60650: ConfigurationManager::getConfigurationValueByP... Resolved 2014-07-29
blocked by Core - Bug # 52556: Add database settings to DefaultConfiguration Closed 2013-10-06

History
#1 - 2013-10-06 00:57 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24421

#2 - 2013-10-06 12:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24421

#3 - 2013-10-06 12:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24421

#4 - 2014-12-08 11:50 - Nicole Cordes

Sascha Egerer wrote:
If you override a setting in the AdditionalConfiguration.php the value is displayed in the install tool. If you change the value you get a positive
message that it has been changed. But if you look again in the install tool the "old" value is displayed again. This is because the install tool only
writes to the LocalConfiguration which is then overwritten by the AdditionalConfiguration.php.

There should be a notice that the value has been changed outside of the LocalConfiguration and therefore can't be changed in the install tool. The
field should also be disabled so it can't be changed.

I confirm this should be added to prevent confusion

Values that are not part of the DefaultConfiguration should also be not editable and a message should be displayed that this setting is not part of
the default TYPO3 configuration.

Do you have any arguments why those options shouldn't be editable?

#5 - 2014-12-08 14:42 - Sascha Egerer

Nicole Cordes wrote:

Values that are not part of the DefaultConfiguration should also be not editable and a message should be displayed that this setting is not part of
the default TYPO3 configuration.

Do you have any arguments why those options shouldn't be editable?

AFAIK they have not been saved by the install tool if they are not part of the DefaultConfiguration. But i'm not sure anymore.
